/*!
 * wbm-firewall@1.2.3
 * 
 *   Copyright © 2020 WAGO Kontakttechnik GmbH & Co. KG
 * 
 *   License: 
 *     WAGO Software License Agreement
 * 
 *   Contributors:
 *     
 * 
 *   Description:
 *     Firewall Settings
 * 
 *   
 */
this["/firewall-iptables"]=function(e){var t={};function r(i){if(t[i])return t[i].exports;var l=t[i]={i:i,l:!1,exports:{}};return e[i].call(l.exports,l,l.exports,r),l.l=!0,l.exports}return r.m=e,r.c=t,r.d=function(e,t,i){r.o(e,t)||Object.defineProperty(e,t,{enumerable:!0,get:i})},r.r=function(e){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},r.t=function(e,t){if(1&t&&(e=r(e)),8&t)return e;if(4&t&&"object"==typeof e&&e&&e.__esModule)return e;var i=Object.create(null);if(r.r(i),Object.defineProperty(i,"default",{enumerable:!0,value:e}),2&t&&"string"!=typeof e)for(var l in e)r.d(i,l,function(t){return e[t]}.bind(null,l));return i},r.n=function(e){var t=e&&e.__esModule?function(){return e.default}:function(){return e};return r.d(t,"a",t),t},r.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},r.p="",r(r.s=3)}([function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createBridgeLabel=function(e,t){void 0===t&&(t=null);var r,a=i.exec(e);if(a){var n=a[1].toLowerCase(),o=a[2];if(n in l){var c=o?" "+(parseInt(o)+1):"";return""+l[n]+c}}return""+(t?t+" ":"")+((r=e).charAt(0).toUpperCase()+r.slice(1))};var i=/^([a-zA-Z]+)([0-9]*)$/,l={br:"Bridge",wan:"WAN",vpn:"VPN"};t.isLegacyInterfaceName=function(e){return["X1","X2"].indexOf(e)>=0}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.sortInterfaces=function(e){return e.sort((function(e,t){return e.interface.localeCompare(t.interface,void 0,{numeric:!0,sensitivity:"base"})}))}},,function(e,t,r){"use strict";var i=this&&this.__assign||Object.assign||function(e){for(var t,r=1,i=arguments.length;r<i;r++)for(var l in t=arguments[r])Object.prototype.hasOwnProperty.call(t,l)&&(e[l]=t[l]);return e};Object.defineProperty(t,"__esModule",{value:!0});var l=r(0),a=r(1);t.default=function(e){if(e instanceof Error)return{"firewall.icmpbroadcastprotection.enabled":e,"firewall.connectionlimit.udp.value":e,"firewall.connectionlimit.tcp.value":e,"firewall.connectionlimit.tcp.unit":e,"firewall.connectionlimit.udp.unit":e,"firewall.interfaces.*.enabled":e,"firewall.interfaces.*.label":e,"firewall.interfaces.*.name":e,"firewall.interfaces.*.icmpbroadcastprotection.echolimit.value":e,"firewall.interfaces.*.icmpbroadcastprotection.echolimit.unit":e,"firewall.userfilter.*.index":e,"firewall.userfilter.*.interface":e,"firewall.userfilter.*.interfacelabel":e,"firewall.userfilter.*.protocol":e,"firewall.userfilter.*.source.address":e,"firewall.userfilter.*.source.mask":e,"firewall.userfilter.*.source.port":e,"firewall.userfilter.*.destination.address":e,"firewall.userfilter.*.destination.mask":e,"firewall.userfilter.*.destination.port":e,"firewall.userfilter.*.policy":e};var t=e,r=$.parseXML(t);return i({},function(e){var t,r,i=e.querySelector("firewall > ipv4 > echo"),l=i&&i.getAttribute("broadcast_protection"),a=e.querySelector("firewall > ipv4 > climits"),n=["","second"],o=n[0],c=n[1],f=["","second"],u=f[0],s=f[1];a&&a.getAttribute("udp")&&(t=a&&a.getAttribute("udp").split("/"),o=t[0],c=t[1]);a&&a.getAttribute("tcp")&&(r=a&&a.getAttribute("tcp").split("/"),u=r[0],s=r[1]);return{"firewall.icmpbroadcastprotection.enabled":l||new Error("broadcast protection value was not found in xml"),"firewall.connectionlimit.udp.value":o,"firewall.connectionlimit.tcp.value":u,"firewall.connectionlimit.udp.unit":c,"firewall.connectionlimit.tcp.unit":s}}(r),function(e){var t=e.querySelector("firewall > ipv4 > echo"),r=t&&t.querySelectorAll("request"),i=e.querySelector("firewall > ipv4 > input > open"),n=[];if(r)for(var o=0;o<r.length;o++){var c=r.item(o),f=c.getAttribute("if"),u=c.getAttribute("limit"),s=c.getAttribute("policy"),p=c.getAttribute("burst");f&&n.push({interface:f,limit:u||"",policy:s||"",burst:p||"0"})}n=(n=a.sortInterfaces(n)).filter((function(e){return!l.isLegacyInterfaceName(e.interface)}));var d={};return n.forEach((function(e,t){var r=e.interface;d["firewall.interfaces."+t+".name"]=r,d["firewall.interfaces."+t+".label"]=l.createBridgeLabel(r,"Interface");var a="firewall.interfaces."+t+".enabled",n=i&&i.querySelector('interface[if="'+e.interface+'"]');d[a]=!n||"on"!==n.getAttribute("state"),d["firewall.interfaces."+t+".icmpbroadcastprotection.enabled"]="drop"===e.policy;var o="firewall.interfaces."+t+".icmpbroadcastprotection.echolimit.value",c="firewall.interfaces."+t+".icmpbroadcastprotection.echolimit.unit",f=e.limit.split("/"),u=f[0],s=f[1];d[o]=u,d[c]=s,d["firewall.interfaces."+t+".icmpbroadcastprotection.burstlimit.value"]=e.burst})),d}(r),function(e){var t,r=e.querySelectorAll("firewall > ipv4 > input > filter > rule"),a={};if(r)for(var n=0;n<r.length;n++){var o=r.item(n),c=o.getAttribute("if")||"Any";l.isLegacyInterfaceName(c)||(a=i({},a,((t={})["firewall.userfilter."+n+".index"]=""+(n+1),t["firewall.userfilter."+n+".interface"]=c,t["firewall.userfilter."+n+".interfacelabel"]=l.createBridgeLabel(c),t["firewall.userfilter."+n+".protocol"]=o.getAttribute("proto")||"",t["firewall.userfilter."+n+".source.address"]=o.getAttribute("src_ip")||"",t["firewall.userfilter."+n+".source.mask"]=o.getAttribute("src_mask")||"",t["firewall.userfilter."+n+".source.port"]=o.getAttribute("src_port")||"",t["firewall.userfilter."+n+".destination.address"]=o.getAttribute("dst_ip")||"",t["firewall.userfilter."+n+".destination.mask"]=o.getAttribute("dst_mask")||"",t["firewall.userfilter."+n+".destination.port"]=o.getAttribute("dst_port")||"",t["firewall.userfilter."+n+".policy"]=o.getAttribute("policy")||"",t)))}return a}(r))}}]).default;
//# sourceMappingURL=firewall-iptables.js.map